package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.common.core.domain.entity.SysDept;
import com.srs.comprehensive.domain.SrsClass;
import com.srs.comprehensive.domain.SrsIdentifytable;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 学生鉴定信息Mapper接口
 *
 * @author srs
 * @date 2025-07-10
 */
public interface SrsIdentifytableMapper extends BaseMapper<SrsIdentifytable> {
    /**
     * 查询学生鉴定信息
     *
     * @param id 学生鉴定信息主键
     * @return 学生鉴定信息
     */
    public SrsIdentifytable selectSrsIdentifytableById(Long id);

    /**
     * 查询学生鉴定信息列表
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 学生鉴定信息集合
     */
    List<SrsIdentifytable> selectSrsIdentifytableList(SrsIdentifytable srsIdentifytable);

    /**
     * 新增学生鉴定信息主
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 结果
     */
    int inserts(SrsIdentifytable srsIdentifytable);

    /**
     * 新增学生鉴定信息1
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 结果
     */
    int insertSrsIdentifytableYearOne(SrsIdentifytable srsIdentifytable);

    /**
     * 新增学生鉴定信息2
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 结果
     */
    int insertSrsIdentifytableYearTwo(SrsIdentifytable srsIdentifytable);

    /**
     * 新增学生鉴定信息3
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 结果
     */
    int insertSrsIdentifytableYearThree(SrsIdentifytable srsIdentifytable);

    /**
     * 修改学生鉴定信息主
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 结果
     */
    int updateGraduateStudentInfo(SrsIdentifytable srsIdentifytable);

    /**
     * 修改学生鉴定信息
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 结果
     */
    int updateSrsIdentifytableYearOne(SrsIdentifytable srsIdentifytable);

    /**
     * 修改学生鉴定信息
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 结果
     */
    int updateSrsIdentifytableYearTwo(SrsIdentifytable srsIdentifytable);

    /**
     * 修改学生鉴定信息
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 结果
     */
    int updateSrsIdentifytableYearThree(SrsIdentifytable srsIdentifytable);

    /**
     * 删除学生鉴定信息
     *
     * @param id 学生鉴定信息主键
     * @return 结果
     */
    int deleteSrsIdentifytableById(Long id);

    /**
     * 批量删除学生鉴定信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSrsGraduataByIds(Long[] ids);

    /**
     * 获取对应人的班级信息
     *
     * @param userName 用户名称
     * @return 结果
     */
    List<SrsClass> selectDeptByDeptCodes(String userName);

}
